PKGBUILD fix libva/vdpau deps
[goodguy/cinelerra.git] / cinelerra-5.1 / blds / bld_static.sh
1 #!/bin/bash -x
2
3 dir="$1"
4 shift
5 path="/home"
6 bld="git-repo"
7 proj="cinelerra5"
8 base="cinelerra-5.1"
9
10 if [ ! -d "$path/$dir/$bld" ]; then
11   echo "$bld missing in $path/$dir"
12   exit 1
13 fi
14
15 cd "$path/$dir/$bld"
16 rm -rf "$proj.sta"
17 mkdir "$proj.sta"
18
19 git clone "git://git.cinelerra-gg.org/goodguy/cinelerra.git" "$proj.sta"
20 #rsh host tar -C "/mnt0/$proj" -cf - "$base" | tar -C "$proj.sta" -xf -
21 if [ $? -ne 0 ]; then
22   echo "git clone $proj failed"
23   exit 1
24 fi
25
26 cd "$proj.sta/$base"
27 {
28 ./autogen.sh && \
29 ./configure --with-single-user --enable-static-build && \
30 make $@ && \
31 make install
32 } 2>&1 | tee log || true
33
34 echo "finished: scanning log for ***"
35 grep -ai "\*\*\*.*error" log | head
36